WP6VariableLengthGroup Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WP6VariableLengthGroup Class Reference

`#include <WP6VariableLengthGroup.h>`

Inheritance diagram for WP6VariableLengthGroup:

## Public Member Functions
| WP6VariableLengthGroup ()
virtual | ~WP6VariableLengthGroup ()
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()
virtual void | parse (WP6Listener *listener)=0

## Static Public Member Functions
static WP6VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Protected Member Functions
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *, WPXEncryption *)
unsigned char | getSubGroup () const
unsigned short | getSize () const
unsigned char | getFlags () const
unsigned char | getNumPrefixIDs () const
const unsigned short * | getPrefixIDs () const
unsigned short | getSizeNonDeletable () const
unsigned short | getSizeDeletable () const

## Private Member Functions
| WP6VariableLengthGroup (const WP6VariableLengthGroup &)
WP6VariableLengthGroup & | operator= (const WP6VariableLengthGroup &)

## Private Attributes
unsigned char | m_subGroup
unsigned short | m_size
unsigned char | m_flags
unsigned char | m_numPrefixIDs
unsigned short * | m_prefixIDs
unsigned short | m_sizeNonDeletable
unsigned short | m_sizeDeletable

## Constructor & Destructor Documentation

WP6VariableLengthGroup::WP6VariableLengthGroup | ( |  | ) |

WP6VariableLengthGroup::~WP6VariableLengthGroup | ( |  | ) |
| virtual

WP6VariableLengthGroup::WP6VariableLengthGroup | ( | const WP6VariableLengthGroup & |  | ) |
| private

## Member Function Documentation

void WP6VariableLengthGroup::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protected

Referenced by WP6BoxGroup::WP6BoxGroup(), WP6CharacterGroup::WP6CharacterGroup(), WP6ColumnGroup::WP6ColumnGroup(), WP6DisplayNumberReferenceGroup::WP6DisplayNumberReferenceGroup(), WP6EOLGroup::WP6EOLGroup(), WP6FootnoteEndnoteGroup::WP6FootnoteEndnoteGroup(), WP6HeaderFooterGroup::WP6HeaderFooterGroup(), WP6NumberingMethodGroup::WP6NumberingMethodGroup(), WP6PageGroup::WP6PageGroup(), WP6ParagraphGroup::WP6ParagraphGroup(), WP6SetNumberGroup::WP6SetNumberGroup(), WP6StyleGroup::WP6StyleGroup(), WP6TabGroup::WP6TabGroup(), and WP6UnsupportedVariableLengthGroup::WP6UnsupportedVariableLengthGroup().

virtual void WP6VariableLengthGroup::_readContents | ( | librevenge::RVNGInputStream * | ,
|  | WPXEncryption * |
| ) |  |
| inlineprotectedvirtual

Reimplemented in WP6CharacterGroup, WP6ParagraphGroup, WP6StyleGroup, WP6ColumnGroup, WP6BoxGroup, WP6EOLGroup, WP6PageGroup, WP6TabGroup, WP6DisplayNumberReferenceGroup, WP6FootnoteEndnoteGroup, WP6HeaderFooterGroup, WP6NumberingMethodGroup, and WP6SetNumberGroup.

Referenced by _read().

WP6VariableLengthGroup * WP6VariableLengthGroup::constructVariableLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | groupID
| ) |  |
| static

Referenced by WP6Part::constructPart().

unsigned char WP6VariableLengthGroup::getFlags | ( |  | ) | const
| inlineprotected

Referenced by WP6TabGroup::_readContents(), WP6BoxGroup::parse(), and WP6ColumnGroup::parse().

unsigned char WP6VariableLengthGroup::getNumPrefixIDs | ( |  | ) | const
| inlineprotected

Referenced by WP6FootnoteEndnoteGroup::parse(), WP6HeaderFooterGroup::parse(), WP6EOLGroup::parse(), WP6PageGroup::parse(), WP6BoxGroup::parse(), WP6StyleGroup::parse(), WP6ParagraphGroup::parse(), and WP6CharacterGroup::parse().

const unsigned short* WP6VariableLengthGroup::getPrefixIDs | ( |  | ) | const
| inlineprotected

Referenced by WP6FootnoteEndnoteGroup::parse(), WP6HeaderFooterGroup::parse(), WP6EOLGroup::parse(), WP6PageGroup::parse(), WP6BoxGroup::parse(), WP6StyleGroup::parse(), WP6ParagraphGroup::parse(), and WP6CharacterGroup::parse().

unsigned short WP6VariableLengthGroup::getSize | ( |  | ) | const
| inlineprotected

Referenced by WP6TabGroup::_readContents().

unsigned short WP6VariableLengthGroup::getSizeDeletable | ( |  | ) | const
| inlineprotected

Referenced by WP6CharacterGroup::_readContents().

unsigned short WP6VariableLengthGroup::getSizeNonDeletable | ( |  | ) | const
| inlineprotected

Referenced by WP6EOLGroup::_readContents(), and WP6ParagraphGroup::_readContents().

unsigned char WP6VariableLengthGroup::getSubGroup | ( |  | ) | const
| inlineprotected

Referenced by WP6NumberingMethodGroup::_readContents(), WP6SetNumberGroup::_readContents(), WP6DisplayNumberReferenceGroup::_readContents(), WP6TabGroup::_readContents(), WP6PageGroup::_readContents(), WP6BoxGroup::_readContents(), WP6ColumnGroup::_readContents(), WP6StyleGroup::_readContents(), WP6ParagraphGroup::_readContents(), WP6CharacterGroup::_readContents(), WP6SetNumberGroup::parse(), WP6NumberingMethodGroup::parse(), WP6HeaderFooterGroup::parse(), WP6DisplayNumberReferenceGroup::parse(), WP6FootnoteEndnoteGroup::parse(), WP6PageGroup::parse(), WP6TabGroup::parse(), WP6EOLGroup::parse(), WP6BoxGroup::parse(), WP6ColumnGroup::parse(), WP6StyleGroup::parse(), and WP6CharacterGroup::parse().

bool WP6VariableLengthGroup::isGroupConsistent | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | groupID
| ) |  |
| static

Referenced by WP6Part::constructPart().

WP6VariableLengthGroup& WP6VariableLengthGroup::operator= | ( | const WP6VariableLengthGroup & |  | ) |
| private

## Member Data Documentation

unsigned char WP6VariableLengthGroup::m_flags
| private

Referenced by _read().

unsigned char WP6VariableLengthGroup::m_numPrefixIDs
| private

Referenced by _read(), and ~WP6VariableLengthGroup().

unsigned short* WP6VariableLengthGroup::m_prefixIDs
| private

Referenced by _read(), and ~WP6VariableLengthGroup().

unsigned short WP6VariableLengthGroup::m_size
| private

Referenced by _read().

unsigned short WP6VariableLengthGroup::m_sizeDeletable
| private

Referenced by _read().

unsigned short WP6VariableLengthGroup::m_sizeNonDeletable
| private

Referenced by _read().

unsigned char WP6VariableLengthGroup::m_subGroup
| private

Referenced by _read().

The documentation for this class was generated from the following files:

- WP6VariableLengthGroup.h
- WP6VariableLengthGroup.cpp